cls
@ECHO OFF
Title ModKit PS v1.06d (cmd:171231)
ECHO [ 0. Prepare ]
set fName=rtq
set Lang=rus
set SubDirLang=Rus
set LogFile=tmp\log_err.txt
if NOT EXIST tmp MKDIR tmp
ECHO -=******* 0. Prepare *******=- > %LogFile%
if NOT EXIST bak MKDIR bak
if NOT EXIST bin MKDIR bin
if NOT EXIST bin\LANG MKDIR bin\LANG
if NOT EXIST bin\LANG\Eng MKDIR bin\LANG\Eng
if NOT EXIST bin\LANG\%SubDirLang% MKDIR bin\LANG\%SubDirLang%
if NOT EXIST %Lang% MKDIR %Lang%
if NOT EXIST %Lang%\tmp MKDIR %Lang%\tmp

if EXIST %fName%.txt COPY /Y %fName%.txt bak\%fName%.txt > nul
if EXIST %fName%.txt COPY /Y %fName%.txt tmp\%fName%.txt > nul
if EXIST identhash.cm COPY /Y identhash.cm bak\identhash.cm > nul

::if NOT EXIST %fName%.at CD. > %fName%.at
set KeyAt=
if NOT EXIST %fName%.at goto Begin
set KeyAt=-at
COPY /Y %fName%.at tmp\%fName%.at > nul
:Begin
if EXIST COPY /Y %fName%.gat tmp\%fName%.gat > nul
ECHO [ 1. Begin ]
ECHO -=******* 1. Begin *******=- >> %LogFile%
e1pcn.exe -of tmp\%fName% -nss %KeyAt% -gat -es -cm -wmf %Lang%\ %fName%.a >> %LogFile%

if NOT EXIST tmp\%fName%.lng goto Error
COPY /A /V /Y tmp\%fName%.txt %fName%.txt > nul
MOVE /Y tmp\%fName%.txt tmp\%fName%_eng_nss.txt > nul
MOVE /Y tmp\%fName%.lng tmp\%fName%_eng_nss.lng > nul
::if EXIST tmp\%fName%.at MOVE /Y tmp\%fName%.at %fName%.at > nul
if EXIST tmp\%fName%.gat MOVE /Y tmp\%fName%.gat %fName%.gat > nul

if NOT EXIST %Lang%\%fName%.a goto Error
if NOT EXIST %Lang%\tmp\%fName%.txt goto Error
COPY /Y %Lang%\tmp\%fName%.txt tmp\%fName%_%Lang%_nss.txt > nul
CD %Lang%
ECHO [ 2. Compile %SubDirLang% ]
ECHO -=******* 2. Compile %SubDirLang% *******=- >> ..\%LogFile%
..\e1pcn.exe -of tmp\%fName% -gat -es -cm %fName%.a >> ..\%LogFile%
CD ..
if NOT EXIST %Lang%\tmp\%fName%.lng goto Error
MOVE /Y %Lang%\tmp\%fName%.lng bin\LANG\%SubDirLang%\%fName%.lng > nul
MOVE /Y %Lang%\tmp\%fName%.txt %Lang%\%fName%.txt > nul
if EXIST %Lang%\tmp\%fName%.gat MOVE /Y %Lang%\tmp\%fName%.gat %Lang%\%fName%.gat > nul

ECHO [ 3. Compile Eng ]
ECHO -=******* 3. Compile Eng *******=- >> %LogFile%
e1pcn.exe -of tmp\%fName% -es -cm %fName%.a >> %LogFile%

if NOT EXIST tmp\%fName%.lng goto Error
MOVE /Y tmp\%fName%.cht bin\%fName%.cht > nul
MOVE /Y tmp\%fName%.gen bin\%fName%.gen > nul
MOVE /Y tmp\%fName%.pht bin\%fName%.pht > nul
MOVE /Y tmp\%fName%.rht bin\%fName%.rht > nul
MOVE /Y tmp\%fName%.lng bin\LANG\Eng\%fName%.lng > nul
::MOVE /Y tmp\%fName%.txt %fName%.txt > nul
COPY /Y %fName%_eng_nss.txt %fName%.txt > nul

ECHO [ 4. Clear ]
ECHO -=******* 5. Clear *******=- >> %LogFile%
MOVE /Y UserFunc.Inc tmp\UserFunc.Inc > nul
del /f /s /q tmp\%fName%.debug.* > nul
del /f /s /q %Lang%\UserFunc.Inc > nul
del /f /s /q %Lang%\tmp\%fName%.* > nul

ECHO -= DONE! =-
ECHO -=******* DONE *******=- >> %LogFile%
goto End
:Error
ECHO -=? ERROR! ?=-
ECHO -=******* ERROR *******=- >> %LogFile%
:End
pause
